org.apache.tools.ant.taskdefs.compilers

## Class Sj

- java.lang.Object
- - org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
  - - org.apache.tools.ant.taskdefs.compilers.Sj

- All Implemented Interfaces:
    CompilerAdapter, CompilerAdapterExtension

      public class Sj
      extends DefaultCompilerAdapter

  The implementation of the sj compiler. Uses the defaults for DefaultCompilerAdapter
  Since:
    Ant 1.4

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

      `attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, modulepath, moduleSourcepath, optimize, project, release, src, target, upgrademodulepath, verbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sj()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute()` Performs a compile using the sj compiler from Symantec.
    `protected java.lang.String` | `getNoDebugArgument()` Returns null since sj either has -g for debug=true or no argument at all.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

      `addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, assumeJava19, assumeJava9, assumeJava9Plus, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getModulepath, getModulesourcepath, getProject, getSupportedFileExtensions, getUpgrademodulepath, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sj

          public Sj()

  - ### Method Detail

    - #### execute

          public boolean execute()
                          throws BuildException

      Performs a compile using the sj compiler from Symantec.
      Returns:
        true if the compilation succeeded
      Throws:
        `BuildException` - on error

    - #### getNoDebugArgument

          protected java.lang.String getNoDebugArgument()

      Returns null since sj either has -g for debug=true or no argument at all.
      Overrides:
        `getNoDebugArgument` in class `DefaultCompilerAdapter`
      Returns:
        null.
      Since:
        Ant 1.6.3